Subject: Re: bug#36421: Having some text with face height > 1.0 causes scroll-step to be ignored

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Jun 2019 17:55:32 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Sat, 29 Jun 2019 21:55:02 +0200
> Cc: Andrea Cardaci <[email-masked]>, [email-masked], [email-masked]
> 
> > Btw, why do you find recentering annoying?  It's the default Emacs way
> > of bringing the next windowful of text into view together with some
> > context.  Scrolling by just one line is sub-optimal because you don't
> > see all of the context: the text below the last line is not visible.
> 
> I don't think there's any simple answer to that. I remember discussing this in emacs-devel long ago (back
> when the new font backends where introduced and line-by-line scrolling was unable to keep with typing
> <down> repeatedly).
> 
> The answer, I suspect, is just that some of us are wired that way. You see it as recentering bringing up new
> context, I see it as forcing my visual cortex to scramble to go to the center of the window to re-locate the line I
> was looking at. That's not only slower than just looking at new lines as they appear at the bottom. but also
> quite uncomfortable.

This assumes that Emacs is used for prolonged scrolling through
buffers, one line at a time.  That is something that happens to me
only very seldom, read: never.  Emacs is an editor, not a pager; and
if I ever need to page through a buffer, I do it with C-v and its ilk,
i.e. with scroll commands, not with commands that move point.